Pipelines
Create a pipeline
Create and deploy a new turbo pipeline. The pipeline name must be unique within the project.
POST
/
pipelines
/
Create a pipeline
curl --request POST \
--url https://api.goldsky.com/api/v1/pipelines/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "ethereum-blocks",
"resource_size": "s",
"use_dedicated_ip": false,
"job": false,
"description": "Streams Ethereum blocks",
"definition": {
"sources": {
"my_source": {
"dataset_name": "ethereum.raw_blocks",
"start_at": "latest",
"type": "dataset",
"version": "1.0.0"
}
},
"transforms": {
"my_transform": {
"from": "my_source",
"primary_key": "id",
"type": "handler",
"url": "https://handler.com"
}
},
"sinks": {
"my_sink": {
"from": "my_transform",
"type": "blackhole"
}
}
}
}
'import requests
url = "https://api.goldsky.com/api/v1/pipelines/"
payload = {
"name": "ethereum-blocks",
"resource_size": "s",
"use_dedicated_ip": False,
"job": False,
"description": "Streams Ethereum blocks",
"definition": {
"sources": { "my_source": {
"dataset_name": "ethereum.raw_blocks",
"start_at": "latest",
"type": "dataset",
"version": "1.0.0"
} },
"transforms": { "my_transform": {
"from": "my_source",
"primary_key": "id",
"type": "handler",
"url": "https://handler.com"
} },
"sinks": { "my_sink": {
"from": "my_transform",
"type": "blackhole"
} }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'ethereum-blocks',
resource_size: 's',
use_dedicated_ip: false,
job: false,
description: 'Streams Ethereum blocks',
definition: {
sources: {
my_source: {
dataset_name: 'ethereum.raw_blocks',
start_at: 'latest',
type: 'dataset',
version: '1.0.0'
}
},
transforms: {
my_transform: {
from: 'my_source',
primary_key: 'id',
type: 'handler',
url: 'https://handler.com'
}
},
sinks: {my_sink: {from: 'my_transform', type: 'blackhole'}}
}
})
};
fetch('https://api.goldsky.com/api/v1/pipelines/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"type": "<string>",
"status": "RUNNING",
"definition": {
"sources": {},
"transforms": {},
"sinks": {},
"description": "<string>",
"resource_size": "<string>",
"use_dedicated_ip": true,
"job": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resource_size": "<string>",
"version": 123,
"project_id": "<string>"
}Authorizations
API token generated from the Goldsky Dashboard. Pass as: Authorization: Bearer
Body
application/json
Response
200 - application/json
Default Response
status
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>
required
Available options:
RUNNING Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a pipeline
